Auxiliary(3)

NAME
Auxiliary - Main subroutines

  Functions
int PLASMA_Sequence_Create (PLASMA_sequence **sequence)
int PLASMA_Sequence_Destroy (PLASMA_sequence *sequence)
int PLASMA_Sequence_Wait (PLASMA_sequence *sequence)
int PLASMA_Sequence_Flush (PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_Version (int *ver_major, int *ver_minor, int *ver_micro)
int PLASMA_Enable (PLASMA_enum lever)
int PLASMA_Disable (PLASMA_enum lever)
int PLASMA_Set (PLASMA_enum param, int value)
int PLASMA_Get (PLASMA_enum param, int *value)
int PLASMA_Get_Quark (Quark **quark)
int PLASMA_Dynamic_Spawn ()
int PLASMA_Dynamic_Hold ()
int PLASMA_Init (int cores)
int PLASMA_Init_Affinity (int cores, int *coresbind)
int PLASMA_Finalize ()
int PLASMA_Desc_Create (PLASMA_desc **desc, void *mat, PLASMA_enum dtyp, int mb, int nb, int bsiz, int lm, int ln, int i, int j, int m, int n)
int PLASMA_Desc_Destroy (PLASMA_desc **desc)
int PLASMA_Lapack_to_Tile (void *Af77, int LDA, PLASMA_desc *A)
int PLASMA_Tile_to_Lapack (PLASMA_desc *A, void *Af77, int LDA)
int PLASMA_Dealloc_Handle (void **handle)
int PLASMA_Dealloc_Handle_Tile (PLASMA_desc **desc)
int PLASMA_Alloc_Workspace_cgebrd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgeev (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgehrd (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgels (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgels_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgeqrf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgeqrf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgelqf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgelqf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgesdd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgesv_incpiv (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_cgesv_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_cgesvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cgetrf_incpiv (int M, int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_cgetrf_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_cheev (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cheevd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_cheevr (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_chegv (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_chegvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_chetrd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgebrd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgeev (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgehrd (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgels (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgels_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgeqrf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgeqrf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgelqf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgelqf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgesdd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgesv_incpiv (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_dgesv_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_dgesvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dgetrf_incpiv (int M, int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_dgetrf_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_dsyev (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dsyevd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dsyevr (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dsygv (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dsygvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_dsytrd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgebrd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgeev (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgehrd (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgels (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgels_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgeqrf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgeqrf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgelqf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgelqf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgesdd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgesv_incpiv (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_sgesv_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_sgesvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_sgetrf_incpiv (int M, int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_sgetrf_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_ssyev (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_ssyevd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_ssyevr (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_ssygv (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_ssygvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_ssytrd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgebrd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgeev (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgehrd (int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgels (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgels_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgeqrf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgeqrf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgelqf (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgelqf_Tile (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgesdd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgesv_incpiv (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_zgesv_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_zgesvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zgetrf_incpiv (int M, int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_zgetrf_incpiv_Tile (int N, PLASMA_desc **descL, int **IPIV)
int PLASMA_Alloc_Workspace_zheev (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zheevd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zheevr (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zhegv (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zhegvd (int M, int N, PLASMA_desc **descT)
int PLASMA_Alloc_Workspace_zhetrd (int M, int N, PLASMA_desc **descT)

Detailed Description

This groups describes all main routines of the PLASMA library to setup the library.

Function Documentation

  int PLASMA_Alloc_Workspace_cgebrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgebrd - Allocates workspace for PLASMA_cgebrd or PLASMA_cgebrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgeev (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgeev - Allocates workspace for PLASMA_cgeev or PLASMA_cgeev_Tile routine.

Parameters:
    N The order of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgehrd (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgehrd - Allocates workspace for PLASMA_cgehrd or PLASMA_cgehrd_Tile routine.

Parameters:
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgelqf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgelqf - Allocates workspace for PLASMA_cgelqf or PLASMA_cgelqf_Tile routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgelqf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgelqf_Tile - Allocates tile workspace for PLASMA_cgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgels (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgels - Allocates workspace for PLASMA_cgels or PLASMA_cgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgels_Tile (int M, int N, PLASMA_desc ** descT)
@ -192,33 +120,6 @

PLASMA_Alloc_Workspace_cgels_Tile - Allocates tile workspace for PLASMA_cgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgeqrf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgeqrf - Allocates workspace for PLASMA_cgeqrf or PLASMA_cgeqrf_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgeqrf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgeqrf_Tile - Allocates tile workspace for PLASMA_cgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgesdd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgesdd - Allocates workspace for PLASMA_cgesdd or PLASMA_cgesdd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgesv_incpiv (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_cgesv - Allocates workspace for PLASMA_cgesv or PLASMA_cgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgesv_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_cgesv_Tile - Allocates workspace for PLASMA_cgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgesvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cgesvd - Allocates workspace for PLASMA_cgesvd or PLASMA_cgesvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cgetrf_incpiv (int M, int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_cgetrf_incpiv - Allocates workspace for PLASMA_cgetrf_incpiv or PLASMA_cgetrf_incpiv_Tile or PLASMA_cgetrf_incpiv_Tile_Async routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

See also:
    PLASMA_cgetrf_incpiv

    PLASMA_cgetrf_incpiv_Tile

    PLASMA_cgetrf_incpiv_Tile_Async

  int PLASMA_Alloc_Workspace_cgetrf_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_cgetrf_incpiv_Tile - Allocates workspace for PLASMA_cgesv_incpiv_Tile or PLASMA_cgesv_incpiv_Tile_Async routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cheev (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cheev - Allocates workspace for PLASMA_cheev or PLASMA_cheev_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cheevd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cheevd - Allocates workspace for PLASMA_cheevd or PLASMA_cheevd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_cheevr (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_cheevr - Allocates workspace for PLASMA_cheevr or PLASMA_cheevr_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_chegv (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_chegv - Allocates workspace for PLASMA_chegv or PLASMA_chegv_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_chegvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_chegvd - Allocates workspace for PLASMA_chegvd or PLASMA_chegvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_chetrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_chetrd - Allocates workspace for PLASMA_chetrd or PLASMA_chetrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgebrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgebrd - Allocates workspace for PLASMA_dgebrd or PLASMA_dgebrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgeev (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgeev - Allocates workspace for PLASMA_dgeev or PLASMA_dgeev_Tile routine.

Parameters:
    N The order of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgehrd (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgehrd - Allocates workspace for PLASMA_dgehrd or PLASMA_dgehrd_Tile routine.

Parameters:
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgelqf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgelqf - Allocates workspace for PLASMA_dgelqf or PLASMA_dgelqf_Tile routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgelqf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgelqf_Tile - Allocates tile workspace for PLASMA_dgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgels (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgels - Allocates workspace for PLASMA_dgels or PLASMA_dgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgels_Tile (int M, int N, PLASMA_desc ** descT)
@ -192,33 +120,6 @

PLASMA_Alloc_Workspace_dgels_Tile - Allocates tile workspace for PLASMA_dgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgeqrf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgeqrf - Allocates workspace for PLASMA_dgeqrf or PLASMA_dgeqrf_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgeqrf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgeqrf_Tile - Allocates tile workspace for PLASMA_dgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgesdd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgesdd - Allocates workspace for PLASMA_dgesdd or PLASMA_dgesdd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgesv_incpiv (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_dgesv - Allocates workspace for PLASMA_dgesv or PLASMA_dgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgesv_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_dgesv_Tile - Allocates workspace for PLASMA_dgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgesvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dgesvd - Allocates workspace for PLASMA_dgesvd or PLASMA_dgesvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dgetrf_incpiv (int M, int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_dgetrf_incpiv - Allocates workspace for PLASMA_dgetrf_incpiv or PLASMA_dgetrf_incpiv_Tile or PLASMA_dgetrf_incpiv_Tile_Async routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

See also:
    PLASMA_dgetrf_incpiv

    PLASMA_dgetrf_incpiv_Tile

    PLASMA_dgetrf_incpiv_Tile_Async

  int PLASMA_Alloc_Workspace_dgetrf_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_dgetrf_incpiv_Tile - Allocates workspace for PLASMA_dgesv_incpiv_Tile or PLASMA_dgesv_incpiv_Tile_Async routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dsyev (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dsyev - Allocates workspace for PLASMA_dsyev or PLASMA_dsyev_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dsyevd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dsyevd - Allocates workspace for PLASMA_dsyevd or PLASMA_dsyevd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dsyevr (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dsyevr - Allocates workspace for PLASMA_dsyevr or PLASMA_dsyevr_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dsygv (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dsygv - Allocates workspace for PLASMA_dsygv or PLASMA_dsygv_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dsygvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dsygvd - Allocates workspace for PLASMA_dsygvd or PLASMA_dsygvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_dsytrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_dsytrd - Allocates workspace for PLASMA_dsytrd or PLASMA_dsytrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgebrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgebrd - Allocates workspace for PLASMA_sgebrd or PLASMA_sgebrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgeev (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgeev - Allocates workspace for PLASMA_sgeev or PLASMA_sgeev_Tile routine.

Parameters:
    N The order of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgehrd (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgehrd - Allocates workspace for PLASMA_sgehrd or PLASMA_sgehrd_Tile routine.

Parameters:
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgelqf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgelqf - Allocates workspace for PLASMA_sgelqf or PLASMA_sgelqf_Tile routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgelqf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgelqf_Tile - Allocates tile workspace for PLASMA_sgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgels (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgels - Allocates workspace for PLASMA_sgels or PLASMA_sgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgels_Tile (int M, int N, PLASMA_desc ** descT)
@ -192,33 +120,6 @

PLASMA_Alloc_Workspace_sgels_Tile - Allocates tile workspace for PLASMA_sgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgeqrf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgeqrf - Allocates workspace for PLASMA_sgeqrf or PLASMA_sgeqrf_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgeqrf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgeqrf_Tile - Allocates tile workspace for PLASMA_sgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgesdd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgesdd - Allocates workspace for PLASMA_sgesdd or PLASMA_sgesdd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgesv_incpiv (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_sgesv - Allocates workspace for PLASMA_sgesv or PLASMA_sgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgesv_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_sgesv_Tile - Allocates workspace for PLASMA_sgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgesvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_sgesvd - Allocates workspace for PLASMA_sgesvd or PLASMA_sgesvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_sgetrf_incpiv (int M, int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_sgetrf_incpiv - Allocates workspace for PLASMA_sgetrf_incpiv or PLASMA_sgetrf_incpiv_Tile or PLASMA_sgetrf_incpiv_Tile_Async routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

See also:
    PLASMA_sgetrf_incpiv

    PLASMA_sgetrf_incpiv_Tile

    PLASMA_sgetrf_incpiv_Tile_Async

  int PLASMA_Alloc_Workspace_sgetrf_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_sgetrf_incpiv_Tile - Allocates workspace for PLASMA_sgesv_incpiv_Tile or PLASMA_sgesv_incpiv_Tile_Async routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_ssyev (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_ssyev - Allocates workspace for PLASMA_ssyev or PLASMA_ssyev_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_ssyevd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_ssyevd - Allocates workspace for PLASMA_ssyevd or PLASMA_ssyevd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_ssyevr (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_ssyevr - Allocates workspace for PLASMA_ssyevr or PLASMA_ssyevr_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_ssygv (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_ssygv - Allocates workspace for PLASMA_ssygv or PLASMA_ssygv_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_ssygvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_ssygvd - Allocates workspace for PLASMA_ssygvd or PLASMA_ssygvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_ssytrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_ssytrd - Allocates workspace for PLASMA_ssytrd or PLASMA_ssytrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgebrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgebrd - Allocates workspace for PLASMA_zgebrd or PLASMA_zgebrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgeev (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgeev - Allocates workspace for PLASMA_zgeev or PLASMA_zgeev_Tile routine.

Parameters:
    N The order of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgehrd (int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgehrd - Allocates workspace for PLASMA_zgehrd or PLASMA_zgehrd_Tile routine.

Parameters:
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgelqf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgelqf - Allocates workspace for PLASMA_zgelqf or PLASMA_zgelqf_Tile routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgelqf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgelqf_Tile - Allocates tile workspace for PLASMA_zgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgels (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgels - Allocates workspace for PLASMA_zgels or PLASMA_zgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgels_Tile (int M, int N, PLASMA_desc ** descT)
@ -192,33 +120,6 @

PLASMA_Alloc_Workspace_zgels_Tile - Allocates tile workspace for PLASMA_zgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgeqrf (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgeqrf - Allocates workspace for PLASMA_zgeqrf or PLASMA_zgeqrf_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile QR factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgeqrf_Tile (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgeqrf_Tile - Allocates tile workspace for PLASMA_zgels_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, PLASMA_desc on workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgesdd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgesdd - Allocates workspace for PLASMA_zgesdd or PLASMA_zgesdd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgesv_incpiv (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_zgesv - Allocates workspace for PLASMA_zgesv or PLASMA_zgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgesv_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_zgesv_Tile - Allocates workspace for PLASMA_zgesv_Tile routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgesvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zgesvd - Allocates workspace for PLASMA_zgesvd or PLASMA_zgesvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile BRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zgetrf_incpiv (int M, int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_zgetrf_incpiv - Allocates workspace for PLASMA_zgetrf_incpiv or PLASMA_zgetrf_incpiv_Tile or PLASMA_zgetrf_incpiv_Tile_Async routines.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descL On exit, workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

See also:
    PLASMA_zgetrf_incpiv

    PLASMA_zgetrf_incpiv_Tile

    PLASMA_zgetrf_incpiv_Tile_Async

  int PLASMA_Alloc_Workspace_zgetrf_incpiv_Tile (int N, PLASMA_desc ** descL, int ** IPIV)
PLASMA_Alloc_Workspace_zgetrf_incpiv_Tile - Allocates workspace for PLASMA_zgesv_incpiv_Tile or PLASMA_zgesv_incpiv_Tile_Async routines.

Parameters:
    N The number of linear equations, i.e., the order of the matrix A. N >= 0.
    descL On exit, PLASMA descriptor on workspace handle for storage of the extra L factors required by the tile LU factorization.
    IPIV On exit, workspace handle for storage of pivot indexes required by the tile LU factorization (not equivalent to LAPACK).

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zheev (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zheev - Allocates workspace for PLASMA_zheev or PLASMA_zheev_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zheevd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zheevd - Allocates workspace for PLASMA_zheevd or PLASMA_zheevd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zheevr (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zheevr - Allocates workspace for PLASMA_zheevr or PLASMA_zheevr_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zhegv (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zhegv - Allocates workspace for PLASMA_zhegv or PLASMA_zhegv_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zhegvd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zhegvd - Allocates workspace for PLASMA_zhegvd or PLASMA_zhegvd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Alloc_Workspace_zhetrd (int M, int N, PLASMA_desc ** descT)
PLASMA_Alloc_Workspace_zhetrd - Allocates workspace for PLASMA_zhetrd or PLASMA_zhetrd_Tile routine.

Parameters:
    M The number of rows of the matrix A. M >= 0.
    N The number of columns of the matrix A. N >= 0.
    descT On exit, workspace handle for storage of the extra T factors required by the tile TRD.

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Dealloc_Handle (void ** handle)
PLASMA_Dealloc_Handle - Deallocate workspace handle allocated by any workspace allocation routine.

Parameters:
    handle Workspace handle

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Dealloc_Handle_Tile (PLASMA_desc ** desc)
PLASMA_Dealloc_Handle_Tile - Deallocate Tile workspace handle allocated by any tile workspace allocation routine.

Parameters:
    desc Descriptot handle

Returns:

Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Desc_Create (PLASMA_desc ** desc, void * mat, PLASMA_enum dtyp, int mb, int nb, int bsiz, int lm, int ln, int i, int j, int m, int n)
PLASMA_Desc_Create - Create matrix descriptor.

Parameters:
    desc On exit, descriptor of the matrix.
    mat Memory location of the matrix.
    dtyp Data type of the matrix:
    •   PlasmaRealFloat: single precision real (S),
    •   PlasmaRealDouble: double precision real (D),
    •   PlasmaComplexFloat: single precision complex (C),
    •   PlasmaComplexDouble: double precision complex (Z).
    mb Number of rows in a tile.
    nb Number of columns in a tile.
    bsiz Size in elements (mb*nb).
    lm Number of rows of the entire matrix.
    ln Number of columns of the entire matrix.
    i Row index to the beginning of the submatrix.
    j Column index to the beginning of the submatrix.
    m Number of rows of the submatrix.
    n Number of columns of the submatrix.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Desc_Destroy (PLASMA_desc ** desc)
PLASMA_Desc_Destroy - Destroys matrix descriptor.
Parameters:
    desc Matrix descriptor.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Disable (PLASMA_enum lever)
PLASMA_Disable - Disable PLASMA feature.
Parameters:
    lever Feature to be disabled:
    •   PLASMA_WARNINGS printing of warning messages,
    •   PLASMA_ERRORS printing of error messages,
    •   PLASMA_AUTOTUNING autotuning for tile size and inner block size,
    •   PLASMA_DAG Quark automatic DAG generation.
Returns:
Return values:
    PLASMA_SUCCESS successful exit
    PLASMA_ERR_NOT_INITIALIZED if Plasma is not initialized
    PLASMA_ERR_ILLEGAL_VALUE if lever is unknown

  int PLASMA_Dynamic_Hold ()
PLASMA_Dynamic_Hold - In the context of applications using both Plasma calls and personal tasks submission to the Quark runtime, this function waits for the termination of all tasks submitted to Quark, and make sure that all the working threads exited the Quark context. This way, they are kept idle in the Plasma nonbusy waiting barrier, instead of looking for taks. This is usefull when the application want to alternate quark and OpenMP sections for example, or alternate between multiple Plasma contexts whith their own threads.
Returns:
Return values:
    PLASMA_SUCCESS successful exit
    PLASMA_ERR_NOT_INITIALIZED if Plasma is not initialized

  int PLASMA_Dynamic_Spawn ()
PLASMA_Dynamic_Spawn - This function allows an external user to switch the Plasma context to dynamic mode to be able to alternate Plasma functions with personnal tasks submission directly to the Quark instance obtained with PLASMA_Get_Quark(). This call make sure that Plasma internal threads are forwarded to Quark for dynamic computation and that they are not waiting on a plasma barrier for further instructions.
Returns:
Return values:
    PLASMA_SUCCESS successful exit
    PLASMA_ERR_NOT_INITIALIZED if Plasma is not initialized

  int PLASMA_Enable (PLASMA_enum lever)
PLASMA_Enable - Enable PLASMA feature.
Parameters:
    lever Feature to be enabled:
    •   PLASMA_WARNINGS printing of warning messages,
    •   PLASMA_ERRORS printing of error messages,
    •   PLASMA_AUTOTUNING autotuning for tile size and inner block size,
    •   PLASMA_DAG Quark automatic DAG generation.
Returns:
Return values:
    PLASMA_SUCCESS successful exit
    PLASMA_ERR_NOT_INITIALIZED if Plasma is not initialized
    PLASMA_ERR_ILLEGAL_VALUE if lever is unknown

  int PLASMA_Finalize ()
PLASMA_Finalize - Finalize PLASMA.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Get (PLASMA_enum param, int * value)
PLASMA_Get - Get value of PLASMA parameter.
Parameters:
    param Feature to be enabled:
    •   PLASMA_TILE_SIZE: size matrix tile,
    •   PLASMA_INNER_BLOCK_SIZE: size of tile inner block,
    •   PLASMA_SCHEDULING: type of scheduling (PLASMA_STATIC_SCHEDULING or PLASMA_DYNAMIC_SCHEDULING).
    •   PLASMA_HOUSEHOLDER_SIZE: size of the groups in householder trees
    •   PLASMA_TNTPIVOTING_MODE: type of factorization used in tournament pivoting (PLASMA_TOURNAMENT_LU or PLASMA_TOURNAMENT_QR).
    •   PLASMA_TNTPIVOTING_SIZE: size of the groups in tournament pivoting
    •   PLASMA_EV_WSMODE: Workspace mode used in singular/eigen value routines
    •   PLASMA_EV_TASKNB: Panel size used in singular/eigen value routines
    •   PLASMA_EV_SMLSZE: Minimum size in recursive algorithm for singular/eigen value routines
    value Value of the parameter.
Returns:
Return values:
    PLASMA_SUCCESS successful exit
    PLASMA_ERR_NOT_INITIALIZED if Plasma is not initialized
    PLASMA_ERR_ILLEGAL_VALUE if param is unknown

  int PLASMA_Get_Quark (Quark ** quark)
PLASMA_Get_Quark - Get the Quark instance used by the current context in order to allow the user to add it's own tasks to it.
Parameters:
    quark Pointer to an allocated (Quark*) object. On exit, contains the pointer to the Quark context used by Plasma
Returns:
Return values:
    PLASMA_SUCCESS successful exit
    PLASMA_ERR_NOT_INITIALIZED if Plasma is not initialized

  int PLASMA_Init (int cores)
PLASMA_Init - Initialize PLASMA.
Parameters:
    cores Number of cores to use (threads to launch). If cores = 0, cores = PLASMA_NUM_THREADS if it is set, the system number of core otherwise.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Init_Affinity (int cores, int * coresbind)
PLASMA_Init_Affinity - Initialize PLASMA.
Parameters:
    cores Number of cores to use (threads to launch). If cores = 0, cores = PLASMA_NUM_THREADS if it is set, the system number of core otherwise.
    coresbind Array to specify where to bind each thread. Each thread i is binded to coresbind[hwloc(i)] if hwloc is provided, or to coresbind[i] otherwise. If coresbind = NULL, coresbind = PLASMA_AFF_THREADS if it is set, the identity function otherwise.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Lapack_to_Tile (void * Af77, int LDA, PLASMA_desc * A)
PLASMA_Lapack_to_Tile - Conversion from LAPACK layout to tile layout.
Parameters:
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
    A Descriptor of the PLASMA matrix in tile layout.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Sequence_Create (PLASMA_sequence ** sequence)
PLASMA_Sequence_Create - Create a squence.
Parameters:
    sequence Identifies a set of routines sharing common exception handling.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Sequence_Destroy (PLASMA_sequence * sequence)
PLASMA_Sequence_Destroy - Destroy a sequence.
Parameters:
    sequence Identifies a set of routines sharing common exception handling.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Sequence_Flush (PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_Sequence_Flush - Terminate a sequence.
Parameters:
    sequence Identifies a set of routines sharing common exception handling.
    request The flush request.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Sequence_Wait (PLASMA_sequence * sequence)
PLASMA_Sequence_Wait - Wait for the completion of a sequence.
Parameters:
    sequence Identifies a set of routines sharing common exception handling.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Set (PLASMA_enum param, int value)
PLASMA_Set - Set PLASMA parameter.
Parameters:
    param Feature to be enabled:
    •   PLASMA_TILE_SIZE: size matrix tile,
    •   PLASMA_INNER_BLOCK_SIZE: size of tile inner block,
    •   PLASMA_SCHEDULING_MODE: type of scheduling (PLASMA_STATIC_SCHEDULING or PLASMA_DYNAMIC_SCHEDULING).
    •   PLASMA_INNER_BANDWIDTH: matrix bandwidth size
    •   PLASMA_HOUSEHOLDER_MODE: type of householder trees (PLASMA_FLAT_HOUSEHOLDER or PLASMA_TREE_HOUSEHOLDER).
    •   PLASMA_HOUSEHOLDER_SIZE: size of the groups in householder trees
    •   PLASMA_TNTPIVOTING_MODE: type of factorization used in tournament pivoting (PLASMA_TOURNAMENT_LU or PLASMA_TOURNAMENT_QR).
    •   PLASMA_TNTPIVOTING_SIZE: size of the groups in tournament pivoting
    •   PLASMA_EV_WSMODE: Workspace mode used in singular/eigen value routines
    •   PLASMA_EV_TASKNB: Panel size used in singular/eigen value routines
    •   PLASMA_EV_SMLSZE: Minimum size in recursive algorithm for singular/eigen value routines
    value Value of the parameter.
Returns:
Return values:
    PLASMA_SUCCESS successful exit
    PLASMA_ERR_NOT_INITIALIZED if Plasma is not initialized
    PLASMA_ERR_ILLEGAL_VALUE if param is unknown

  int PLASMA_Tile_to_Lapack (PLASMA_desc * A, void * Af77, int LDA)
PLASMA_Tile_to_Lapack - Conversion from tile layout to LAPACK layout.
Parameters:
    A Descriptor of the PLASMA matrix in tile layout.
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

  int PLASMA_Version (int * ver_major, int * ver_minor, int * ver_micro)
PLASMA_Version - Reports PLASMA version number.
Parameters:
    ver_major PLASMA major version number.
    ver_minor PLASMA minor version number.
    ver_micro PLASMA micro version number.
Returns:
Return values:
    PLASMA_SUCCESS successful exit

Author
Generated automatically by Doxygen for PLASMA from the source code.